CVE-2006-2835
CVSS7.5
发布时间 :2006-06-06 16:06:00
修订时间 :2008-09-05 17:05:33
NMCO    

[原文]SQL injection vulnerability in saphplesson 2.0 allows remote attackers to execute arbitrary SQL commands via the (1) forumid parameter in add.php and (2) lessid parameter in show.php.


[CNNVD]SaPHPLesson add.php SQL注入漏洞(CNNVD-200606-158)

         SaPHPLesson是一个基于PHP的网络课程管理程序。
         SaPHPLesson处理用户请求数据时存在输入验证漏洞,远程攻击者可能利用此漏洞对服务器执行SQL注入攻击,非法操作数据库。
         SaPHPLesson的add.php脚本没有正确地验证forumid参数的输入数据,因此远程攻击者可以利用SQL注入攻击在服务器上执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2835
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2835
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-158
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/18934
(UNKNOWN)  BID  18934
http://www.securityfocus.com/archive/1/archive/1/435202/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060527 Critical sql injection in saphplesson 2.0
http://www.securityfocus.com/archive/1/440120
(UNKNOWN)  BUGTRAQ  20060711 saphp "add.php" forumid Parameter SQL Injection
http://xforce.iss.net/xforce/xfdb/26757
(UNKNOWN)  XF  saphplesson-show-sql-injection(26757)
http://www.securityfocus.com/bid/18117
(UNKNOWN)  BID  18117
http://www.securityfocus.com/archive/1/archive/1/472798/100/0/threaded
(UNKNOWN)  BUGTRAQ  20070704 SQL Injection in SaphpLesson2.0 "show.php"
http://securityreason.com/securityalert/1047
(UNKNOWN)  SREASON  1047

- 漏洞信息

SaPHPLesson add.php SQL注入漏洞
高危 SQL注入
2006-06-06 00:00:00 2006-11-03 00:00:00
远程  
         SaPHPLesson是一个基于PHP的网络课程管理程序。
         SaPHPLesson处理用户请求数据时存在输入验证漏洞,远程攻击者可能利用此漏洞对服务器执行SQL注入攻击,非法操作数据库。
         SaPHPLesson的add.php脚本没有正确地验证forumid参数的输入数据,因此远程攻击者可以利用SQL注入攻击在服务器上执行任意SQL命令。

- 公告与补丁

        厂商补丁:
        Arabless.com
        ------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://saphp.com/
厂商已发布4.7.844版本来解决此问题。请联系厂商了解获取升级程序的信息。

- 漏洞信息

31042
SaphpLesson show.php lessid Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-05-27 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站